## 为什么要使用Pigsty？

> 我们的理念是：用**好数据库**，**用好**数据库，让天下没有难用的数据库！


数据库是信息系统的核心组件，关系型数据库是数据库的绝对主力，PostgreSQL是世界上最先进的开源关系型数据库。

PG提供了一个足够完美的数据库内核，但真要用好它，可没有那么简单，而我们帮助用户做到这一点。



## 用户痛点

传统企业，特别是中小企业信息化，需要什么样的数据库? 是分布式云原生湖仓一体流批时空超融合HTAP数据库吗?

不是，大多数企业的数据库需求，甚至Excel便足以解决！痛点不在于数据库内核牛不牛，而是 用户能不能用得上！

99% 的企业，完整生命周期的数据需求， **单机PostgreSQL足矣！**



## 痛点需求

> 软件吞噬世界，而开源吞噬软件。云厂商白嫖开源，却不见螳螂捕蝉，终将被多云部署干翻。

个人搭建玩具Demo使用数据库是一回事，在生产环境部署维护数据库则是完全不同的另一回事：安装部署，运维管理，配套设施，平台搭建，服务接入，高可用，故障切换，负载均衡， 连接池，分库分表，监控，日志，审计，备份，恢复，升级策略，模式变更......，有无数的实际问题需要解决，可不仅仅是`yum install postgresql14* && systemctl start postgresql` 这么简单。

PostgreSQL已经提供了一个足够完美的数据库内核，但正如Linux用户直接接触的是诸如RedHat，SUSE，Ubuntu这样的操作系统发行版而不是Linux内核一样。用户需要完整的解决方案 —— 数据库发行版，而不是一个单纯的数据库内核。

如果说PostgreSQL这个数据库内核是一台发动机，那么用户真正需要的是整车，即完整的、开箱即用的完整解决方案。我们构建的，就是这样一辆车：稳定可靠，经过长时间生产环境打磨与验证；自动驾驶，带有智能态势感知。

更重要的是，Pigsty完全**开源免费**！Pigsty在提供类似甚至超过云厂商RDS使用体验的前提下，可将数据库的综合持有成本降低50% ～ 80% 。




## 产品定位

### 开箱即用的发行版

> RedHat for Linux

* Pigsty打包最新PostgreSQL内核（14），集成强力的地理空间插件PostGIS3.2，时序数据库插件TimescaleDB2.6，分布式扩展插件Citus10，以及上百功能扩展，全部一键安装，开箱即用。

* Pigsty集成了完整的大规模数据库监控管控解决方案：Grafana，Prometheus，Loki，Ansible，CMDB。亦可作为生产级应用运行时直接使用，监控管理其他数据库与应用。

* Pigsty集成了数据分析生态的常用工具：Jupyter，Echarts，Grafana，PostgREST，Postgres。可以低代码的方式，开发交互性数据应用与数据可视化作品。快速产出作品原型，并以标准的方式分享，演示与交付。



### 简单易用的开发者工具

> HashiCorp for Database!

* Pigsty采用Infra as Data的设计理念，用户描述自己想要什么样的数据库集群，而Pigsty自动为您创建！Just like Kubernetes!

* Pigsty带有终极的可观测性，以BI的思路设计监控系统，从最顶层的全局洞察到最细节的每一个对象，都可以获取实时数据，支持决策。

* Pigsty提供灵活丰富的部署支持，本地沙箱，云端，多云部署。无论是高规格物理机还是1核1G虚机均可运行，保持生产、预发、开发、测试环境高度一致。

### 智能省钱的SRE解决方案

> Alternative for RDS!

* 高可用数据库集群：Pigsty集成了久经考验的生产级高可用数据库架构方案：主从异地容灾，故障自愈，高可用自动切换，自带连接池与负载均衡器，提供分布式数据库般的体验。

* Pigsty提供了完整的备份解决方案，一键部署自动驾驶的高可用主从集群，硬件故障可以自愈，极大简化运维工作。冷备份与延时从库可有效应对各类软件故障与人为故障，确保系统稳定运行。

* Pigsty还可以作为完整的SRE解决方案：主机监控，应用部署，并将逐步添加其他数据库的部署与监控：Redis/Greenplum/Kafka/Minio，或支持其他SaaS服务，制作POC，交付Demo等。




## VS 云数据库RDS

云数据库/RDS，是另一种"开箱即用"的解决方案，但它交出的答卷，远不足以称得上令专业用户满意：

**成本高昂**
  * RDS的成本，比起IDC托管自建高出 **5～10倍**，即使比起云虚拟机自建，也要高出 **2~3倍**。
  * RDS的价格或许相对商业数据库有优势，但在自建面前依然高的离谱。

**命不由己**
  * 云厂商有能力访问您的各类数据，且很多云厂商并不是真正中立的第三方运营商。
  * 云厂商故障并不鲜见，您能拥有的补偿通常只有可怜的时长代金券。

**功能受限**
  * 您没有RDS的真正的超级用户权限，一些高级功能无法实现。
  * '流复制'，'高可用'这些本该是标配的东西往往作为增值项出售。

**体验有限**
  * 云厂商RDS提供的可观测性往往只有零星的几个监控指标，缺乏全局整合与上帝视角。
  * 安装，部署，访问，使用仍然需要大量UI交互与操作。

